=== modified file 'HACKING.rst'
--- HACKING.rst	2018-06-09 07:26:34 +0000
+++ HACKING.rst	2023-02-01 23:45:16 +0000
@@ -35,7 +35,7 @@
 One way that Launchpad provides both high availability and performance scaling
 is by running multiple instances of loggerhead, serving the same content. A
 proxy is then used to load balance the requests. This also allows us to shut
-down one instance for upgrading, without interupting service (requests are
+down one instance for upgrading, without interrupting service (requests are
 just routed to the other instance).
 
 However, multiple processes poses an even greater risk that caches will

=== modified file 'NEWS'
--- NEWS	2022-09-06 15:21:30 +0000
+++ NEWS	2023-02-01 23:45:16 +0000
@@ -203,7 +203,7 @@
 1.17 [20Aug2009]
 ----------------
 
-    - Add bug links in revision informations (Alexandre Garnier, #314052)
+    - Add bug links in revision information (Alexandre Garnier, #314052)
 
     - Make sure that binary files aren't annotated. (Martin Albisetti,
       #258848)
@@ -356,7 +356,7 @@
 1.10 [22Dec2008]
 ----------------
 
-    - Add startup deamon script for Linux (Marius Kruger)
+    - Add startup daemon script for Linux (Marius Kruger)
 
     - Switch navigation from file_ids to paths. Fixes bugs #260363,
       #269365 and #128926. (Martin Albisetti)
@@ -394,7 +394,7 @@
 
     - Added COPYING file and clarified copyright headers (John Arbash Meinel)
 
-    - Remove the .py extension requiered by the Debian Policy.
+    - Remove the .py extension required by the Debian Policy.
       (Jelmer Vernooij)
 
     - New startup script serve-branches will serve Loggerhead without

=== modified file '__init__.py'
--- __init__.py	2023-01-31 19:08:09 +0000
+++ __init__.py	2023-02-01 10:38:17 +0000
@@ -67,12 +67,12 @@
         from .loggerhead.apps.http_head import HeadMiddleware
         from .loggerhead.apps.transport import BranchesFromTransportRoot
         from .loggerhead.config import LoggerheadConfig
-        from .loggerhead.main import setup_logging
+        from .loggerhead.__main__ import setup_logging
     except ImportError:
         from loggerhead.apps.http_head import HeadMiddleware
         from loggerhead.apps.transport import BranchesFromTransportRoot
         from loggerhead.config import LoggerheadConfig
-        from loggerhead.main import setup_logging
+        from loggerhead.__main__ import setup_logging
 
     if host is None:
         host = DEFAULT_HOST

=== modified file 'loggerhead-serve'
--- loggerhead-serve	2023-01-31 19:08:09 +0000
+++ loggerhead-serve	2023-02-01 10:38:17 +0000
@@ -20,7 +20,7 @@
 
 import sys
 
-from loggerhead.main import main
+from loggerhead.__main__ import main
 
 if __name__ == "__main__":
     main(sys.argv[1:])

=== renamed file 'loggerhead/main.py' => 'loggerhead/__main__.py'
--- loggerhead/main.py	2023-01-31 19:08:09 +0000
+++ loggerhead/__main__.py	2023-02-01 10:38:17 +0000
@@ -184,3 +184,7 @@
             print('Unknown protocol: %s.' % (protocol))
             sys.exit(1)
         WSGIServer(app, bindAddress=(host, int(port))).run()
+
+
+if __name__ == '__main__':
+    sys.exit(main(sys.argv[1:]))

=== modified file 'loggerhead/apps/error.py'
--- loggerhead/apps/error.py	2018-10-20 11:09:30 +0000
+++ loggerhead/apps/error.py	2023-02-01 23:45:16 +0000
@@ -41,7 +41,7 @@
                 raise
 
     def handle_error(self, environ, start_response):
-        """Exception hanlder."""
+        """Exception handler."""
         self.log_error(environ)
         return errapp(environ, start_response)
 

=== modified file 'loggerhead/static/javascript/changelog.js'
--- loggerhead/static/javascript/changelog.js	2020-06-04 19:43:36 +0000
+++ loggerhead/static/javascript/changelog.js	2023-02-01 23:45:16 +0000
@@ -3,18 +3,18 @@
   $('.revision_log').each(
     function(i, item)
     {
-      var collapsable = item.collapsable;
+      var collapsible = item.collapsible;
       if(action == 'close')
       {
         $('#expand_all').css({'display': 'block'});
         $('#collapse_all').css({'display': 'none'});
-        collapsable.close();
+        collapsible.close();
       }
       else if(action == 'open')
       {
         $('#expand_all').css({'display': 'none'});
         $('#collapse_all').css({'display': 'block'});
-        collapsable.open();
+        collapsible.open();
       }
     });
 }
@@ -47,7 +47,7 @@
       function(i, item)
       {
         var revid = revids[item.id.replace('log-', '')];
-        var collapsable = new Collapsable(
+        var collapsible = new Collapsible(
           {
             expand_icon: $(item).find('.expand_icon'),
             open_node: $(item).find('.long_description'),
@@ -61,9 +61,9 @@
           'click',
           function(e) {
             e.preventDefault();
-            collapsable.toggle();
+            collapsible.toggle();
           });
-        item.collapsable = collapsable;
+        item.collapsible = collapsible;
       });
 
   });

=== modified file 'loggerhead/static/javascript/custom.js'
--- loggerhead/static/javascript/custom.js	2020-09-09 16:36:01 +0000
+++ loggerhead/static/javascript/custom.js	2023-02-01 23:45:16 +0000
@@ -67,7 +67,7 @@
   setTimeout("$('#search_terms').css({'display': 'none'})", 300);
 }
 
-function Collapsable(config)
+function Collapsible(config)
 {
   this.is_open = config.is_open;
   this.open_node = config.open_node;
@@ -96,7 +96,7 @@
   return height;
 }
 
-Collapsable.prototype._animate = function (callback)
+Collapsible.prototype._animate = function (callback)
 {
   if (this.anim) this.anim.stop();
 
@@ -109,7 +109,7 @@
      }.bind(this));
 }
 
-Collapsable.prototype._load_finished = function(data, callback)
+Collapsible.prototype._load_finished = function(data, callback)
 {
   var l = data.split('\n');
   l.splice(0, 1);
@@ -126,7 +126,7 @@
   this._animate(callback);
 };
 
-Collapsable.prototype._ensure_container = function(callback)
+Collapsible.prototype._ensure_container = function(callback)
 {
   if (this.container == null) {
     this.container = $('<div></div>');
@@ -172,7 +172,7 @@
  * 8. Start a new animation to show the rest of the new content.
  */
 
-Collapsable.prototype.open = function(callback)
+Collapsible.prototype.open = function(callback)
 {
   this.expand_icon[0].src = expanded_icon_path;
 
@@ -196,18 +196,18 @@
 
   this._animate(callback);
 
-  var collapsable = this;
+  var collapsible = this;
 
   if (this.source) {
       $.get(this.source, function(data) {
-            collapsable._load_finished(data, callback);
+            collapsible._load_finished(data, callback);
       });
     return;
   }
 
 };
 
-Collapsable.prototype.close = function()
+Collapsible.prototype.close = function()
 {
   this._ensure_container();
 
@@ -226,7 +226,7 @@
       0.2, "swing", this.closeComplete.bind(this));
 };
 
-Collapsable.prototype.closeComplete = function () {
+Collapsible.prototype.closeComplete = function () {
   $(this.open_node).css({'display': 'none'});
   if (this.close_node) {
     $(this.close_node).css({'display': 'block'});
@@ -236,7 +236,7 @@
   this.is_open = false;
 };
 
-Collapsable.prototype.toggle = function()
+Collapsible.prototype.toggle = function()
 {
   if (this.is_open)
   {

=== modified file 'loggerhead/static/javascript/diff.js'
--- loggerhead/static/javascript/diff.js	2020-09-11 10:03:03 +0000
+++ loggerhead/static/javascript/diff.js	2023-02-01 23:45:16 +0000
@@ -113,18 +113,18 @@
   diffs.each(
     function(i, item)
     {
-      var collapsable = item.collapsable;
+      var collapsible = item.collapsible;
       if(action == 'close')
       {
         $('#expand_all').css({'display': 'block'});
         $('#collapse_all').css({'display': 'none'});
-        collapsable.close();
+        collapsible.close();
       }
       else if(action == 'open')
       {
         $('#expand_all').css({'display': 'none'});
         $('#collapse_all').css({'display': 'block'});
-        collapsable.open();
+        collapsible.open();
       }
     });
 }
@@ -156,9 +156,9 @@
 }
 
 function zoom_to_diff (path) {
-  var collapsable = $('#' + path_to_id[path]).collapsable;
-  if (!collapsable.is_open) {
-    collapsable.open(
+  var collapsible = $('#' + path_to_id[path]).collapsible;
+  if (!collapsible.is_open) {
+    collapsible.open(
       function () {
         window.location.hash = '#' + path;
       });
@@ -172,7 +172,7 @@
   $('.diff').each(
     function(i, item)
     {
-      item.collapsable.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + numlines;
+      item.collapsible.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + numlines;
     });
   if(original_diff_download_link == null) original_diff_download_link = $('#download_link').attr('href');
   $('#download_link').attr('href', original_diff_download_link + '?context=' + numlines);
@@ -206,10 +206,10 @@
           'click',
           function(e) {
             e.preventDefault();
-            item.collapsable.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + $('#contextLines').val();
-            collapsable.toggle();
+            item.collapsible.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + $('#contextLines').val();
+            collapsible.toggle();
           });
-        var collapsable = new Collapsable(
+        var collapsible = new Collapsible(
           {
             expand_icon: $(item).find('.expand_diff'),
             open_node: $(item).find('.diffinfo'),
@@ -219,7 +219,7 @@
             loading: $(item).find('.loading'),
             node_process: node_process
           });
-       item.collapsable=collapsable;
+       item.collapsible=collapsible;
        });
     compute_diff_links();
     if (window.location.hash && !specific_path) {

=== modified file 'loggerhead/templates/collapse-button.pt'
--- loggerhead/templates/collapse-button.pt	2008-06-16 10:13:40 +0000
+++ loggerhead/templates/collapse-button.pt	2023-02-01 23:45:16 +0000
@@ -10,7 +10,7 @@
                      class string:show-button collapse-${group}-${name}-show"
      title="expand">
     <img tal:attributes="src python:branch.static_url('/static/images/nav-small-right.gif')"
-         witdh="10" height="10" alt="expand"
+         width="10" height="10" alt="expand"
          class="collapse-triangle" />
   </a>
 </tal:block>

=== modified file 'loggerhead/tests/test_controllers.py'
--- loggerhead/tests/test_controllers.py	2023-01-31 19:08:09 +0000
+++ loggerhead/tests/test_controllers.py	2023-02-02 19:52:38 +0000
@@ -14,7 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from __future__ import absolute_import
 
 import json
 import tarfile
@@ -154,7 +153,7 @@
         path = revision_ui.parse_args(env)
         values = revision_ui.get_values(path, revision_ui.kwargs, {})
         revision_ui.add_template_values(values)
-        self.assertIs(values['diff_chunks'], None)
+        self.assertIsNone(values['diff_chunks'])
 
     def test_add_template_values_with_changes(self):
         branch_app = self.make_branch_app_for_revision_ui(
@@ -174,7 +173,7 @@
 
     def test_add_template_values_with_non_ascii(self):
         branch_app = self.make_branch_app_for_revision_ui(
-                [(u'skr\xe1', b'content\n')], [(u'skr\xe1', b'new content\n')])
+                [('skr\xe1', b'content\n')], [('skr\xe1', b'new content\n')])
         env = {'SCRIPT_NAME': '/',
                'PATH_INFO': '/revision/1',
                'QUERY_STRING': 'start_revid=1',
@@ -192,7 +191,7 @@
              'diff-1': 'rev-1/null%253A/skr%25C3%25A1'})
         self.assertEqual(
             json.loads(values['path_to_id']),
-            {'/': 'diff-0', u'skr\xe1': 'diff-1'})
+            {'/': 'diff-0', 'skr\xe1': 'diff-1'})
 
     def test_get_values_smoke(self):
         branch_app = self.make_branch_app_for_revision_ui(
@@ -246,7 +245,7 @@
         # A lot of this state is set up by __call__, but we'll do it directly
         # here.
         ann_ui.args = ['rev2']
-        annotate_info = ann_ui.get_values(u'filename', kwargs={}, headers={})
+        annotate_info = ann_ui.get_values('filename', kwargs={}, headers={})
         annotated = annotate_info['annotated']
         self.assertEqual(2, len(annotated))
         self.assertEqual('2', annotated[1].change.revno)
@@ -257,7 +256,7 @@
         history = [(b'rev1', b'old\nold\n', '.'), (b'rev2', b'new\nold\n', '')]
         ann_ui = self.make_annotate_ui_for_file_history('filename', history)
         ann_ui.args = ['rev2']
-        ann_ui.get_values(u'filename', kwargs={}, headers={})
+        ann_ui.get_values('filename', kwargs={}, headers={})
 
     def test_annotate_file_zero_sized(self):
         # Test against a zero-sized file without breaking. No annotation
@@ -265,7 +264,7 @@
         history = [(b'rev1', b'', '.')]
         ann_ui = self.make_annotate_ui_for_file_history('filename', history)
         ann_ui.args = ['rev1']
-        annotate_info = ann_ui.get_values(u'filename', kwargs={}, headers={})
+        annotate_info = ann_ui.get_values('filename', kwargs={}, headers={})
         annotated = annotate_info['annotated']
         self.assertEqual(0, len(annotated))
 
@@ -274,14 +273,14 @@
         ann_ui = self.make_annotate_ui_for_file_history('filename', history)
         ann_ui.args = ['rev1']
         self.assertRaises(
-            HTTPNotFound, ann_ui.get_values, u'not-filename', {}, {})
+            HTTPNotFound, ann_ui.get_values, 'not-filename', {}, {})
 
     def test_annotate_nonexistent_rev(self):
         history = [(b'rev1', b'', '.')]
         ann_ui = self.make_annotate_ui_for_file_history('filename', history)
         ann_ui.args = ['norev']
         self.assertRaises(
-            HTTPNotFound, ann_ui.get_values, u'not-filename', {}, {})
+            HTTPNotFound, ann_ui.get_values, 'not-filename', {}, {})
 
 
 class TestFileDiffUI(BasicTests):
@@ -303,7 +302,7 @@
     def test_get_values_smoke(self):
         branch_app, (rev1, rev2) = self.make_branch_app_for_filediff_ui()
         env = {'SCRIPT_NAME': '/',
-               'PATH_INFO': '/+filediff/%s/%s/filename' % (rev2.decode('utf-8'), rev1.decode('utf-8')),
+               'PATH_INFO': '/+filediff/{}/{}/filename'.format(rev2.decode('utf-8'), rev1.decode('utf-8')),
                'REQUEST_METHOD': 'GET',
                'wsgi.url_scheme': 'http',
                'SERVER_NAME': 'localhost',
@@ -318,7 +317,7 @@
     def test_json_render_smoke(self):
         branch_app, (rev1, rev2) = self.make_branch_app_for_filediff_ui()
         env = {'SCRIPT_NAME': '/',
-               'PATH_INFO': '/+json/+filediff/%s/%s/filename' % (rev2.decode('utf-8'), rev1.decode('utf-8')),
+               'PATH_INFO': '/+json/+filediff/{}/{}/filename'.format(rev2.decode('utf-8'), rev1.decode('utf-8')),
                'REQUEST_METHOD': 'GET',
                'wsgi.url_scheme': 'http',
                'SERVER_NAME': 'localhost',
@@ -400,7 +399,7 @@
         self.addCleanup(BranchWSGIApp.hooks.uninstall_named_hook, 'controller',
             'captain hook')
         BranchWSGIApp.hooks.install_named_hook('controller', myhook, "captain hook")
-        self.assertEquals("I am hooked", app.lookup_app(env))
+        self.assertEqual("I am hooked", app.lookup_app(env))
 
 
 class MatchesDownloadHeaders(Matcher):
@@ -422,7 +421,7 @@
                 % response.headers)
 
     def __str__(self):
-        return 'MatchesDownloadHeaders(%r, %r)' % (
+        return 'MatchesDownloadHeaders({!r}, {!r})'.format(
             self.expect_filename, self.expect_mimetype)
 
 

=== modified file 'loggerhead/tests/test_corners.py'
--- loggerhead/tests/test_corners.py	2018-10-20 15:28:43 +0000
+++ loggerhead/tests/test_corners.py	2023-02-02 19:52:38 +0000
@@ -1,12 +1,10 @@
-from __future__ import absolute_import
-
 import os
 
 from .test_simple import BasicTests
 
 
 class TestCornerCases(BasicTests):
-    """Tests that excercise various corner cases."""
+    """Tests that exercise various corner cases."""
 
     def addFileAndCommit(self, filename, commit_msg):
         """Make a trivial commit that has 'msg' as its commit message.
@@ -44,7 +42,7 @@
         self.addFileAndCommit('myfilename', msg)
         app = self.setUpLoggerhead()
         res = app.get('/revision/1')
-        self.assertFalse(msg in res.body)
+        self.assertNotIn(msg, res.body)
 
     def test_empty_commit_message(self):
         """Check that an empty commit message does not break the rendering."""

=== modified file 'loggerhead/tests/test_history.py'
--- loggerhead/tests/test_history.py	2023-01-31 19:08:09 +0000
+++ loggerhead/tests/test_history.py	2023-02-02 19:52:38 +0000
@@ -107,7 +107,7 @@
                          list(history.get_revids_from(search_revs, tip_rev)))
 
 
-class _DictProxy(object):
+class _DictProxy:
 
     def __init__(self, d):
         self._d = d
@@ -167,7 +167,7 @@
         # We already know revs[-1] because we passed it in.
         self.assertEqual(set(), accessed)
         self.assertEqual(revs[-2], next(result))
-        self.assertEqual(set([history._rev_indices[revs[-1]]]), accessed)
+        self.assertEqual({history._rev_indices[revs[-1]]}, accessed)
 
     def test_get_revids_doesnt_over_produce_for_merges(self):
         # get_revids_from shouldn't walk the whole ancestry just to get the
@@ -179,13 +179,13 @@
         self.assertEqual(revs[-3], next(result))
         # We access 'W' because we are checking that W wasn't merged into X.
         # The important bit is that we aren't getting the whole ancestry.
-        self.assertEqual(set([history._rev_indices[x] for x in list(reversed(revs))[:4]]),
+        self.assertEqual({history._rev_indices[x] for x in list(reversed(revs))[:4]},
                          accessed)
         self.assertEqual(revs[-5], next(result))
-        self.assertEqual(set([history._rev_indices[x] for x in list(reversed(revs))[:6]]),
+        self.assertEqual({history._rev_indices[x] for x in list(reversed(revs))[:6]},
                          accessed)
         self.assertRaises(StopIteration, next, result)
-        self.assertEqual(set([history._rev_indices[x] for x in list(reversed(revs))[:6]]),
+        self.assertEqual({history._rev_indices[x] for x in list(reversed(revs))[:6]},
                          accessed)
 
 
@@ -238,16 +238,16 @@
         tree = self.make_branch_and_tree('test')
         rev_id = tree.commit('Commit Message', timestamp=1299838474.317,
             timezone=3600, committer='Joe Example <joe@example.com>',
-            revprops={'authors': u'A Author <aauthor@example.com>\n'
-                                 u'B Author <bauthor@example.com>'})
+            revprops={'authors': 'A Author <aauthor@example.com>\n'
+                                 'B Author <bauthor@example.com>'})
         self.addCleanup(tree.branch.lock_write().unlock)
         rev = tree.branch.repository.get_revision(rev_id)
         history = _mod_history.History(tree.branch, {})
         change = history._change_from_revision(rev)
-        self.assertEqual(u'Joe Example <joe@example.com>',
+        self.assertEqual('Joe Example <joe@example.com>',
                          change.committer)
-        self.assertEqual([u'A Author <aauthor@example.com>',
-                          u'B Author <bauthor@example.com>'],
+        self.assertEqual(['A Author <aauthor@example.com>',
+                          'B Author <bauthor@example.com>'],
                          change.authors)
 
 
@@ -295,7 +295,7 @@
         self.assertEqual(list(reversed(revs))[:6], revid_list)
         self.assertEqual(revs[-1], revid)
         self.assertEqual(revs[-1], start_revid)
-        self.assertEqual(set([history._rev_indices[x] for x in list(reversed(revs))[:6]]),
+        self.assertEqual({history._rev_indices[x] for x in list(reversed(revs))[:6]},
                          accessed)
 
 
@@ -304,9 +304,9 @@
     def test_native(self):
         history, revs = self.make_linear_ancestry()
         changes = history.get_changes_uncached([revs[0], revs[1]])
-        self.assertEquals(2, len(changes))
-        self.assertEquals(revs[0], changes[0].revid)
-        self.assertEquals(revs[1], changes[1].revid)
+        self.assertEqual(2, len(changes))
+        self.assertEqual(revs[0], changes[0].revid)
+        self.assertEqual(revs[1], changes[1].revid)
         self.assertIs(None, getattr(changes[0], 'foreign_vcs', None))
         self.assertIs(None, getattr(changes[0], 'foreign_revid', None))
 
@@ -320,6 +320,6 @@
             "revid-in-bzr", message="message",
             timestamp=234423423.3)
         change = history._change_from_revision(foreign_rev)
-        self.assertEquals('revid-in-bzr', change.revid)
-        self.assertEquals("('uuid', 1234)", change.foreign_revid)
-        self.assertEquals("vcs", change.foreign_vcs)
+        self.assertEqual('revid-in-bzr', change.revid)
+        self.assertEqual("('uuid', 1234)", change.foreign_revid)
+        self.assertEqual("vcs", change.foreign_vcs)

=== modified file 'loggerhead/tests/test_http_head.py'
--- loggerhead/tests/test_http_head.py	2023-01-31 19:08:09 +0000
+++ loggerhead/tests/test_http_head.py	2023-02-02 19:52:38 +0000
@@ -31,8 +31,7 @@
 
 def yielding_app(environ, start_response):
     writer = start_response('200 OK', headers)
-    for chunk in content:
-        yield chunk
+    yield from content
 
 
 def list_app(environ, start_response):

=== modified file 'loggerhead/tests/test_load_test.py'
--- loggerhead/tests/test_load_test.py	2023-01-31 19:08:09 +0000
+++ loggerhead/tests/test_load_test.py	2023-02-02 19:52:38 +0000
@@ -122,7 +122,7 @@
 class TestRequestWorker(tests.TestCaseWithTransport):
 
     def setUp(self):
-        super(TestRequestWorker, self).setUp()
+        super().setUp()
         self.transport_readonly_server = http_server.HttpServer
 
     def test_request_items(self):
@@ -216,7 +216,7 @@
         # If an id is found, then we should create it
         self.assertEqual({}, script._threads)
         worker = script._get_worker('id')
-        self.assertTrue('id' in script._threads)
+        self.assertIn('id', script._threads)
         # We should have set the blocking timeout
         self.assertEqual(script.blocking_timeout / 10.0,
                          worker.blocking_time)
@@ -278,22 +278,22 @@
 class TestActionScriptIntegration(tests.TestCaseWithTransport):
 
     def setUp(self):
-        super(TestActionScriptIntegration, self).setUp()
+        super().setUp()
         self.transport_readonly_server = http_server.HttpServer
 
     def test_full_integration(self):
         self.build_tree(['first', 'second', 'third', 'fourth'])
         url = self.get_readonly_url()
-        script = load_test.ActionScript.parse("""{
-            "parameters": {"base_url": "%s", "blocking_timeout": 2.0},
+        script = load_test.ActionScript.parse("""{{
+            "parameters": {{"base_url": "{}", "blocking_timeout": 2.0}},
             "requests": [
-                {"thread": "1", "relpath": "first"},
-                {"thread": "2", "relpath": "second"},
-                {"thread": "1", "relpath": "no-this"},
-                {"thread": "2", "relpath": "or-this"},
-                {"thread": "1", "relpath": "third"},
-                {"thread": "2", "relpath": "fourth"}
-            ]}""" % (url,))
+                {{"thread": "1", "relpath": "first"}},
+                {{"thread": "2", "relpath": "second"}},
+                {{"thread": "1", "relpath": "no-this"}},
+                {{"thread": "2", "relpath": "or-this"}},
+                {{"thread": "1", "relpath": "third"}},
+                {{"thread": "2", "relpath": "fourth"}}
+            ]}}""".format(url))
         script.run()
         worker = script._get_worker("1")
         self.assertEqual([("first", True), ('no-this', False),
@@ -310,21 +310,21 @@
 class TestRunScript(tests.TestCaseWithTransport):
 
     def setUp(self):
-        super(TestRunScript, self).setUp()
+        super().setUp()
         self.transport_readonly_server = http_server.HttpServer
 
     def test_run_script(self):
         self.build_tree(['file1', 'file2', 'file3', 'file4'])
         url = self.get_readonly_url()
-        self.build_tree_contents([('localhost.script', """{
-    "parameters": {"base_url": "%s", "blocking_timeout": 0.1},
+        self.build_tree_contents([('localhost.script', """{{
+    "parameters": {{"base_url": "{}", "blocking_timeout": 0.1}},
     "requests": [
-        {"thread": "1", "relpath": "file1"},
-        {"thread": "2", "relpath": "file2"},
-        {"thread": "1", "relpath": "file3"},
-        {"thread": "2", "relpath": "file4"}
+        {{"thread": "1", "relpath": "file1"}},
+        {{"thread": "2", "relpath": "file2"}},
+        {{"thread": "1", "relpath": "file3"}},
+        {{"thread": "2", "relpath": "file4"}}
     ]
-}""" % (url,))])
+}}""".format(url))])
         script = load_test.run_script('localhost.script')
         worker = script._threads["1"][0]
         self.assertEqual([("file1", True), ('file3', True)],

=== modified file 'loggerhead/tests/test_revision_ui.py'
--- loggerhead/tests/test_revision_ui.py	2018-10-20 15:02:08 +0000
+++ loggerhead/tests/test_revision_ui.py	2023-02-02 19:52:38 +0000
@@ -15,7 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-from __future__ import absolute_import
 
 from .test_simple import BasicTests
 
@@ -25,8 +24,8 @@
     def test_authors_vs_committer(self):
         self.createBranch()
         self.tree.commit('First', committer="Joe Example <joe@example.com>",
-            revprops={'authors': u'A Author <aauthor@example.com>\n'
-                                 u'B Author <bauthor@example.com>'})
+            revprops={'authors': 'A Author <aauthor@example.com>\n'
+                                 'B Author <bauthor@example.com>'})
         app = self.setUpLoggerhead()
         res = app.get('/revision/1')
         # We would like to assert that Joe Example is connected to Committer,
@@ -44,4 +43,4 @@
         # and the Authors are connected. However, that requires asserting the
         # exact HTML connections, which I wanted to avoid.
         res.mustcontain('Committer', 'Joe Example')
-        self.assertFalse(b'Author(s)' in res.body)
+        self.assertNotIn(b'Author(s)', res.body)

=== modified file 'loggerhead/tests/test_simple.py'
--- loggerhead/tests/test_simple.py	2023-01-31 19:08:09 +0000
+++ loggerhead/tests/test_simple.py	2023-02-02 19:52:38 +0000
@@ -15,7 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-from __future__ import absolute_import
 
 import json
 import logging
@@ -98,8 +97,8 @@
     def test_changes_branch_from(self):
         app = self.setUpLoggerhead(served_url="lp:loggerhead")
         res = app.get('/changes')
-        self.failUnless("To get this branch, use:" in res)
-        self.failUnless("lp:loggerhead" in res)
+        self.assertIn("To get this branch, use:", res)
+        self.assertIn("lp:loggerhead", res)
 
     def test_changes_search(self):
         app = self.setUpLoggerhead()
@@ -121,8 +120,11 @@
         body_no_span = body_no_span.replace(b'</span>', b'')
         for line in self.filecontents.splitlines():
             escaped = escape(line).encode('utf-8')
-            self.assertTrue(escaped in body_no_span,
-                            "did not find %r in %r" % (escaped, body_no_span))
+            self.assertIn(
+                escaped,
+                body_no_span,
+                "did not find {!r} in {!r}".format(escaped, body_no_span)
+            )
 
     def test_inventory(self):
         app = self.setUpLoggerhead()
@@ -189,8 +191,8 @@
             ensure_config_dir_exists = config.ensure_config_dir_exists
         ensure_config_dir_exists()
         with open(locations, 'w') as f:
-            f.write('[%s]\nhttp_serve = False' % (
-                self.tree.branch.base,))
+            f.write('[{}]\nhttp_serve = False'.format(
+                self.tree.branch.base))
 
     def test_no_access(self):
         app = self.setUpLoggerhead()

=== modified file 'loggerhead/tests/test_templating.py'
--- loggerhead/tests/test_templating.py	2018-10-20 11:09:30 +0000
+++ loggerhead/tests/test_templating.py	2023-02-02 19:52:38 +0000
@@ -1,6 +1,6 @@
 from ..zptsupport import load_template
 
-RENDERED = u"<html>\n<head>\n<title>%s</title>\n</head>\n\
+RENDERED = "<html>\n<head>\n<title>%s</title>\n</head>\n\
 <body>\n<div>Hello, %s</div>\n</body>\n</html>"
 
 

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2023-01-31 19:08:09 +0000
+++ loggerhead/util.py	2023-02-01 23:45:16 +0000
@@ -176,7 +176,7 @@
 
 def hide_email(email):
     """
-    try to obsure any email address in a bazaar committer's name.
+    try to obscure any email address in a bazaar committer's name.
     """
     m = STANDARD_PATTERN.search(email)
     if m is not None:
@@ -258,7 +258,7 @@
     CSS is stupid. In some cases we need to replace an empty value with
     a non breaking space (&nbsp;). There has to be a better way of doing this.
 
-    return: the same value recieved if not empty, and a '&nbsp;' if it is.
+    return: the same value received if not empty, and a '&nbsp;' if it is.
     """
     if s is None:
         return '&nbsp;'
@@ -562,7 +562,7 @@
     Soon to be deprecated.
 
 
-    return a context map that may be overriden by specific values passed in,
+    return a context map that may be overridden by specific values passed in,
     but only contains keys from the list of valid context keys.
 
     if 'clear' is set, only the 'remember' context value will be added, and

=== modified file 'loggerhead/zptsupport.py'
--- loggerhead/zptsupport.py	2023-01-31 19:08:09 +0000
+++ loggerhead/zptsupport.py	2023-02-01 23:45:16 +0000
@@ -60,7 +60,7 @@
 
     Template files must end in ".pt" and be in legitimate packages.
     Templates are automatically checked for changes and reloaded as
-    neccessary.
+    necessary.
     """
     divider = classname.rfind(".")
     if divider > -1:

=== modified file 'loggerheadd'
--- loggerheadd	2020-06-04 20:28:15 +0000
+++ loggerheadd	2023-02-01 23:45:16 +0000
@@ -46,11 +46,11 @@
 }
 
 loggerhead_status(){
-    proccess=`loggerhead_process`
-    #echo "$proccess"
+    process=`loggerhead_process`
+    #echo "$process"
     listening=`netstat -nl |grep -e ":$PORT "`
     #echo "$listening"
-    if [ -z "$proccess" ]; then
+    if [ -z "$process" ]; then
         echo "Loggerhead is *not* running."
     else
         echo "Loggerhead is running."

